import { __decorate, __param } from 'vscode/external/tslib/tslib.es6.js';
import { $ as $$1 } from 'vscode/vscode/vs/base/browser/dom';
import { Button } from 'vscode/vscode/vs/base/browser/ui/button/button';
import { Disposable } from 'vscode/vscode/vs/base/common/lifecycle';
import { localize } from 'vscode/vscode/vs/nls';
import { ICommandService } from 'vscode/vscode/vs/platform/commands/common/commands.service';
import { defaultButtonStyles } from 'vscode/vscode/vs/platform/theme/browser/defaultStyles';
import { isResponseVM } from '@codingame/monaco-vscode-chat-extensions-interactive-notebook-search-terminal-common/vscode/vs/workbench/contrib/chat/common/chatViewModel';

const $ = $$1;
let ChatCommandButtonContentPart = class ChatCommandButtonContentPart extends Disposable {
    constructor(commandButton, context, commandService) {
        super();
        this.commandService = commandService;
        this.domNode = $('.chat-command-button');
        const enabled = !isResponseVM(context.element) || !context.element.isStale;
        const tooltip = enabled ?
            commandButton.command.tooltip :
            ( localize(10841, "Button not available in restored chat"));
        const button = this._register(( (new Button(
            this.domNode,
            { ...defaultButtonStyles, supportIcons: true, title: tooltip }
        ))));
        button.label = commandButton.command.title;
        button.enabled = enabled;
        this._register(button.onDidClick(() => this.commandService.executeCommand(commandButton.command.id, ...(commandButton.command.arguments ?? []))));
    }
    hasSameContent(other) {
        return other.kind === 'command';
    }
};
ChatCommandButtonContentPart = ( (__decorate([
    ( (__param(2, ICommandService)))
], ChatCommandButtonContentPart)));

export { ChatCommandButtonContentPart };
